### Class

# Ide ProjectFile

#### Description

    class Ide.ProjectFile : Ide.Object {
      parent_instance: IdeObject
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Constructors

###### ide_project_file_new

Creates a new project file for a child of `directory`.

Available since: 3.32

#### Instance methods

###### ide_project_file_compare

No description available.

###### ide_project_file_compare_directories_first

No description available.

###### ide_project_file_create_child

Creates a new child project file of `self`.

Available since: 3.32

###### ide_project_file_get_directory

Gets the project file.

Available since: 3.32

###### ide_project_file_get_display_name

Gets the display-name for the file, which should be shown to users.

Available since: 3.32

###### ide_project_file_get_info

Gets the `GFileInfo` for the file. This combined with `IdeProjectFile:directory` can be used to determine the underlying file, such as via `IdeProjectFile:file`.

Available since: 3.32

###### ide_project_file_get_name

Gets the name for the file, which matches the encoding on disk.

Available since: 3.32

###### ide_project_file_get_symbolic_icon

Gets the symbolic icon to represent the file.

Available since: 3.32

###### ide_project_file_is_directory

Checks if `self` represents a directory. If `ide_project_file_is_symlink()` is `TRUE`, this may still return `TRUE`.

Available since: 3.32

###### ide_project_file_is_symlink

Checks if `self` represents a symlink.

Available since: 3.32

###### ide_project_file_list_children_async

List the children of `self`.

Available since: 3.32

###### ide_project_file_list_children_finish

Completes an asynchronous request to ide_project_file_list_children_async().

Available since: 3.32

###### ide_project_file_ref_file

Gets the file for the `IdeProjectFile`.

Available since: 3.32

###### ide_project_file_trash_async

No description available.

###### ide_project_file_trash_finish

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.ProjectFile:directory

No description available.

###### Ide.ProjectFile:file

No description available.

###### Ide.ProjectFile:info

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeProjectFileClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.